import request from '@/utils/request'

export function listStockCount(query) {
  return request({
    url: '/warehouse-entry/page',
    method: 'get',
    params: query
  })
}

export function executeStockCount(query) {
  return request({
    url: '/warehouse-entry/execute',
    method: 'post',
    params:query
  })
}

export function createStockCount(data) {
  return request({
    url: '/warehouse-entry/add',
    method: 'post',
    data
  })
}

export function readStockCount(query) {
  return request({
    url: '/warehouse-entry/info',
    method: 'get',
    params:query
  })
}

export function updateStockCount(data) {
  return request({
    url: '/warehouse-entry/edit',
    method: 'post',
    data
  })
}

export function deleteStockCount(query) {
  return request({
    url: '/warehouse-entry/remove',
    method: 'post',
    params:query
  })
}
